Description

Currently running develop (6099f480bc98781b92980aed862b2830b5f5ec88, along with with the pull request in issue #1872 for

working Puppet 3.0 integration). All hosts and masters are running Puppet 3.0.0.

It seems the Puppet clients activity overview doesn't show any Puppet activity any more, even though the reports are coming in

correctly from the Puppetmaster. I can see reports with activity (service refresh, package installations, etc) in the reports section of

any given host but the overview on the dashboard doesn't reflect any of that. The only thing the overview still indicates is whether a

host has or has not sent a report at all in the last 35 minutes. I.e. "no report" or "out of sync" are still indicated, but not if there has

been general activity or any errors during the puppetrun.

No idea where to start looking for the problem here.

Related issues:

Related to Foreman - Bug #1872: Puppet and foreman 3.0 Do not play well together Closed 09/19/2012

History

#1 - 10/15/2012 09:34 PM - Sam Kottler

- Status changed from New to Feedback

Andreas,

How do you know that reports are coming into Foreman? Do you see the queries in the production log?

#2 - 10/15/2012 09:53 PM - Andreas Ntaflos

- File foreman-report1.png added

Yes, I see messages such as the following in production.log:

Started POST "/reports/create?format=yml" for 10.1.7.17 at Tue Oct 16 03:40:18 +0200 2012

  Processing by ReportsController#create as YML

  Parameters: {"report"=>"[FILTERED]"}

processing report for auth01.mgmt.rz01.riseops.at

Rendered text template (0.0ms)

Completed 200 OK in 279ms (Views: 1.0ms | ActiveRecord: 30.6ms)

 And, as I said, the "Reports" page of any given host accurately shows the various activities, such as installing packages or restarting services. See

attached screenshot for an example.

#3 - 10/17/2012 10:30 AM - Andreas Ntaflos

Just updated to 4e493ad7e8b7adeea1a486169579971733eb7c8f but unfortunately the problem remains. The reports seem to come in fine and their

contents are accurate when viewing single reports of any given host. But the dashboard overview doesn't reflect that and apparently neither does the

reports overview page of a host at http://foreman/hosts/foo.example.com/reports. The latter shows all Zeroes in all columns (Applied, Restarted,

Failed, Restart Failures, Skipped, Pending), which is not correct for a host which did have Puppet activity.

I am inclined to believe that this is a Foreman problem and not related to any particular detail of our setup, but I don't know how to investigate further

here.
#4 - 10/25/2012 05:22 AM - Ohad Levy

- Category set to Reporting

- Status changed from Feedback to Need more information

can you please enable reports = store on your master, and upload a sample report to the ticket?

#5 - 10/25/2012 07:14 AM - Andreas Ntaflos

- File 201210251055.yaml added

Attached is now a report from today, 12:55 (CEST).

#6 - 11/05/2012 05:02 PM - Andreas Ntaflos

Can I provide anything else to help diagnose this? It seems either I am the only one suffering from this problem or nobody else looks at the dashboard

much :)

#7 - 11/06/2012 01:57 AM - Ohad Levy

sorry,I didnt have the chance to look at it yet, (and the whole puppet 3 thing), I'll try to catch some time for it in the next few days...

#8 - 11/06/2012 01:58 AM - Ohad Levy

btw: thanks! - please keep reminding us if we are not following up quickly enough :)

#9 - 11/13/2012 12:17 PM - Greg Sutcliffe

- Target version set to 1.1

Can you try updating to the latest version of the puppet3 pull request from 1872? We merged in some workaround code for the reports stuff - would

be good to know it solves your problem :)

#10 - 11/13/2012 04:46 PM - Andreas Ntaflos

Ah, now that's more like it :) The dashboard now seems to work properly again, showing Puppet agent activity (active, error, etc). Looks good!

#11 - 11/14/2012 04:48 AM - Greg Sutcliffe

- % Done changed from 0 to 100

Excellent, thanks for testing!

#12 - 11/15/2012 05:45 AM - Ohad Levy

- Status changed from Need more information to Closed

fixed as part of the #1872 fix
